package cz.frantovo.hrisniciSpameri.dto;

import java.io.Serializable;
import java.net.InetAddress;
import java.sql.Date;

/**
 * Jeden záznam denního souhrnu – jeden hříšník pro daný den.
 * @author fiki
 */
public class Souhrn implements Serializable {

    private static final long serialVersionUID = 6502435361626487366L;
    private Date den;
    private SitovaAdresa adresa;
    private int pocet;
    private Cil cil;

    public Date getDen() {
        return den;
    }

    public void setDen(Date den) {
        this.den = den;
    }

    public int getPocet() {
        return pocet;
    }

    public void setPocet(int pocet) {
        this.pocet = pocet;
    }

    public Cil getCil() {
        return cil;
    }

    public void setCil(Cil cil) {
        this.cil = cil;
    }

    public SitovaAdresa getAdresa() {
        return adresa;
    }

    public void setAdresa(SitovaAdresa adresa) {
        this.adresa = adresa;
    }

    public Souhrn(Date den, SitovaAdresa adresa, int pocet, Cil cil) {
        this.den = den;
        this.adresa = adresa;
        this.pocet = pocet;
        this.cil = cil;
    }

    public Souhrn() {
    }
}
